Query Orders Info
curl --request POST \
--url https://gateway.varchev.com/crypto/queryOrdersInfo \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'tenantId: <tenantid>' \
--data '
{
"nonce": 32687501,
"txid": "sint mollit voluptate",
"trades": false,
"userref": "-30483680"
}
'import requests
url = "https://gateway.varchev.com/crypto/queryOrdersInfo"
payload = {
"nonce": 32687501,
"txid": "sint mollit voluptate",
"trades": False,
"userref": "-30483680"
}
headers = {
"tenantId": "<tenantid>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
tenantId: '<tenantid>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
nonce: 32687501,
txid: 'sint mollit voluptate',
trades: false,
userref: '-30483680'
})
};
fetch('https://gateway.varchev.com/crypto/queryOrdersInfo', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": [],
"result": {
"OBCMZD-JIEE7-77TH3F": {
"userref": 0,
"status": "closed",
"opentm": 1616665496.7808,
"closetm": 1616665499.1922,
"starttm": 0,
"expiretm": 0,
"descr": {
"pair": "XBTUSD",
"type": "buy",
"ordertype": "stop-loss-limit",
"price": "37500.0",
"price2": "0",
"leverage": "none",
"order": "buy 1.25000000 XBTUSD @ limit 37500.0",
"close": ""
},
"vol": "1.25000000",
"vol_exec": "1.25000000",
"cost": "37526.2",
"fee": "37.5",
"price": "30021.0",
"stopprice": "0.00000",
"limitprice": "0.00000",
"misc": "",
"oflags": "fciq",
"trigger": "index",
"trades": [
"TZX2WP-XSEOP-FP7WYR"
]
},
"OMMDB2-FSB6Z-7W3HPO": {
"userref": 0,
"status": "closed",
"opentm": 1616592012.2317,
"closetm": 1616592012.2335,
"starttm": 0,
"expiretm": 0,
"descr": {
"pair": "XBTUSD",
"type": "sell",
"ordertype": "market",
"price": "0",
"price2": "0",
"leverage": "none",
"order": "sell 0.25000000 XBTUSD @ market",
"close": ""
},
"vol": "0.25000000",
"vol_exec": "0.25000000",
"cost": "7500.0",
"fee": "7.5",
"price": "30000.0",
"stopprice": "0.00000",
"limitprice": "0.00000",
"misc": "",
"oflags": "fcib",
"trades\"": [
"TJUW2K-FLX2N-AR2FLU"
]
}
}
}Private
Query Orders Info
Retrieve information about specific orders.
POST
/
queryOrdersInfo
Query Orders Info
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
(Required)
Example:
32687501
(Required) Comma delimited list of transaction IDs to query info about (50 maximum)
Example:
"sint mollit voluptate"
Whether or not to include trades related to position in output
Example:
false
Restrict results to given user reference id
Example:
"-30483680"
Response
200 - application/json
OK
The response is of type object.
⌘I

